/***************************************************************************
 *   Copyright (c) 2009  Peter Mylemans <peter.mylemans@gmail.com>         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
 ***************************************************************************/

#ifndef COLLECTION_H
#define COLLECTION_H

#include "models/Movie.h"
#include "models/ContextModel.h"

#include <QPixmap>
#include <QObject>

class Collection : public QObject
{
    Q_OBJECT
public:
    virtual ~Collection();

    virtual const QPixmap icon() const = 0;
    virtual const QString title() const = 0;

    virtual void query(const QString &query) = 0;

signals:
    void movieAdded(const Movie *movie);
    void cleared();

protected:
    void addModel(const ContextModel *model);
    void clear();

private:
    QList<ContextModel*>    m_models;
};

#endif
