/***************************************************************************
 *   Copyright (C) 2008 by Andreas Silberstorff   *
 *   taki@Rivendell   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KALVARECORDER_H
#define KALVARECORDER_H

#include "libkalva_export.h"
#include <Data/Channel>
#include <Data/DaysOfTheWeek>

#include <QWidget>

namespace KalvaWidget {

class KalvaRecorderPrivate;

class KALVALIB_EXPORT KalvaRecorder
	: public QWidget
{
Q_OBJECT
public:
	KalvaRecorder( QWidget* parent = 0 );
	virtual ~KalvaRecorder();

	KalvaData::DaysOfTheWeek* daysOfTheWeek();
	QString titel();
	QTime duration();
	
signals:

  void recordButtonSelected();
  
public slots:
	void setChannel(KalvaData::Channel* channel);
    
private:
	KalvaRecorderPrivate *const d;

	void setupConnections();
	
private slots:
	void emitRecordButtonSelected();
};

}

#endif // KALVARECORDER_H
