/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#ifndef STROKEDOCKER_H
#define STROKEDOCKER_H

#include "ddocker.h"
#include "core/coreinterfaces.h"

class QHButtonGroup;
class QSpinBox;
class StrokeAttribute;
/**
@author Hans Oischinger
*/
class StrokeDocker : public DDocker, public ElementSelectionListenerInterface
{
  Q_OBJECT
public:
  StrokeDocker(QWidget *parent = 0, const char *name = 0);
  ~StrokeDocker();

  /**
   * Overridden ElementSelectionListenerInterface method
   */
  void onSelectionModified();

private:
  QHButtonGroup *m_capGroup;
  QHButtonGroup *m_joinGroup;
  QSpinBox *m_setLineWidth;
  QWidget *mainWidget;

private slots:
  void slotCapChanged( int ID );
  void slotJoinChanged( int ID );
  void fireStrokeCMD();
  void updateDocker();
  void slotWidthChanged();

protected:
  StrokeAttribute *m_stroke;
};

#endif
