/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#ifndef GROUPELEMENT_H
#define GROUPELEMENT_H

#include "transformable.h"
#include "elementnode.h"

#include <qstring.h>

class DocumentElement;
class KCanvasContainer;
/**
@author Hans Oischinger
*/
class GroupElement : public Transformable
{
  Q_OBJECT
public:
  GroupElement();
  ~GroupElement();
  GroupElement( const GroupElement& );

  GroupElement &operator=(const GroupElement&);
  virtual ElementNode *clone();

  virtual Attribute* getAttrByName( const QString& name );
  virtual Element::Hit hits( const QPoint & );
  virtual void accept( Visitor& visitor );

  virtual QRect bbox( KCBBoxFlags flags = BBOX_DEFAULT ) const;

  KCanvasContainer* context() const { return m_context; }
  void setContext( KCanvasContainer* context );

protected:
  KCanvasContainer *m_context;
};

#endif
