/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#ifndef DEEPCLONEVISITOR_H
#define DEEPCLONEVISITOR_H

#include "visitor.h"

class Gradient;
/**
Creates deep (and compacted) clones of elements,
especially usefull for concenated gradients which will be cloned to one Gradient Element with StopElements as children
 
@author Hans Oischinger
*/
class DeepCloneVisitor : public Visitor
{
public:
  DeepCloneVisitor();
  ~DeepCloneVisitor();

  virtual bool visit( LinearGradient& element );
  virtual bool visit( RadialGradient& element );

  ElementNode* getClone() const { return m_clone; }

protected:
  bool processGradient( Gradient& element );

private:
  ElementNode* m_clone;
};

#endif
