/***************************************************************************
 * songmodeltest.h
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2004-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef SONGMODELTEST_H
#define SONGMODELTEST_H

#include <QtTest>
#include <QtCore>

class TabProperties;

class SongModelTest : public QObject
{
	Q_OBJECT
private slots:
	void initTestCase();
	
	void testProperties();
	void testTabProperties();
	void testSongKeyProperties();
	void testLyricsProperties();
	
	void TestOperatorEqual();
	void testPushFront();
	void testAt();
	void testDrumTrack();
	
private:
	static const QString title;
	static const QString subtitle;
	static const QString artist;
	static const QString album;
	static const QString author;
	static const QString copyright;
	static const QString transcriber;
	static const QString instructions;
	static const QString comments;
	static const QString majorKey;
	static const QString minorKey;
	static const QString lyrics;
	static const uint tempo;
	static const int octave;
	static const int lyricsTrack;
	static const int lyricsMeasure;
	
	TabProperties buildProperties() const;
};

#endif
