/*  This file is part of the KDE project
    Copyright (C) 2007 Matthias Kretz <kretz@kde.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License version 2 as published by the Free Software Foundation.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.

*/

#ifndef MIXERLIST_P_H
#define MIXERLIST_P_H

#include "mixerlist.h"
#include <QtCore/QExplicitlySharedDataPointer>
#include <QtCore/QObject>
#include <QtCore/QSharedData>

namespace Phonon
{
namespace Mixer
{

class Mixer;
class MixerListSharedData : public QObject
{
    friend class MixerList;
    friend class MixerListPrivate;
    Q_OBJECT
    public:
        MixerListSharedData();
        typedef MixerListSharedData * Ptr;

    Q_SIGNALS:
        void mixerAdded(const Phonon::Mixer::Mixer &);
        void mixerRemoved(const Phonon::Mixer::Mixer &);

    private Q_SLOTS:
        void availableAudioOutputDevicesChanged();

    private:
        void updateMixerList();

        QList<Mixer> m_mixerList;
};

class MixerListPrivate
{
    Q_DECLARE_PUBLIC(MixerList)
    protected:
        MixerList *q_ptr;
};

} // namespace Mixer
} // namespace Phonon
#endif // MIXERLIST_P_H
