/*  This file is part of the KDE project
    Copyright (C) 2007 Matthias Kretz <kretz@kde.org>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) version 3.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.

*/

#ifndef PROXYBACKEND_AUDIODATAOUTPUT_H
#define PROXYBACKEND_AUDIODATAOUTPUT_H

#include <QtCore/QObject>
#include <phonon/experimental/audiodataoutput.h>
#include "proxyobject.h"

namespace Phonon
{
namespace Proxy
{

class AudioDataOutput : public QObject, public ProxyObject
{
    Q_OBJECT
    public:
        AudioDataOutput(QObject *parent);
        ~AudioDataOutput();

    public slots:
        Phonon::Experimental::AudioDataOutput::Format format() const;
        int dataSize() const;
        int sampleRate() const;
        void setFormat(Phonon::Experimental::AudioDataOutput::Format format);
        void setDataSize(int size);

    signals:
        void dataReady(const QMap<Phonon::Experimental::AudioDataOutput::Channel, QVector<qint16> > &data);
        void dataReady(const QMap<Phonon::Experimental::AudioDataOutput::Channel, QVector<float> > &data);
        void endOfMedia(int remainingSamples);
};

}} //namespace Phonon::Proxy

#endif // PROXYBACKEND_AUDIODATAOUTPUT_H
